%if 0%{?fedora}
%global with_python3 1
%endif

%global modname zope.contenttype

Summary: Content-Type Handling Utility
Name: python-zope-contenttype
Version: 4.1.0
Release: 7%{?dist}
Source0: http://pypi.python.org/packages/source/z/%{modname}/%{modname}-%{version}.tar.gz
License: ZPLv2.1
Group: Development/Libraries
BuildArch: noarch
URL: http://pypi.python.org/pypi/zope.contenttype

BuildRequires: python2-devel
BuildRequires: python-setuptools

%if 0%{?with_python3}
BuildRequires: python3-devel
BuildRequires: python3-setuptools
%endif

%description
This package provides a utility module for content-type handling.

%package -n python2-zope-contenttype
Summary: Content-Type Handling Utility
%{?python_provide:%python_provide python2-zope-contenttype}
Requires:       python2

%description -n python2-zope-contenttype
This package provides a utility module for content-type handling.

%if 0%{?with_python3}
%package -n python3-zope-contenttype
Summary: Content-Type Handling Utility
%{?python_provide:%python_provide python3-zope-contenttype}
Requires:       python3

%description -n python3-zope-contenttype
This package provides a utility module for content-type handling.
%endif

%prep
%setup -q -n %{modname}-%{version}

%build
%py2_build
%if 0%{?with_python3}
%py3_build
%endif

%install
%py2_install
%if 0%{?with_python3}
%py3_install
%endif

%check
%{__python2} setup.py test
%if 0%{?with_python3}
%{__python3} setup.py test
%endif

%files -n python2-zope-contenttype
%doc CHANGES.rst COPYRIGHT.txt README.rst
%license LICENSE.txt
%{python2_sitelib}/zope/contenttype/
%dir %{python2_sitelib}/zope/
%{python2_sitelib}/%{modname}-*.egg-info
%{python2_sitelib}/%{modname}-*-nspkg.pth

%if 0%{?with_python3}
%files -n python3-zope-contenttype
%doc CHANGES.rst COPYRIGHT.txt README.rst
%license LICENSE.txt
%{python3_sitelib}/zope/contenttype/
%dir %{python3_sitelib}/zope/
%{python3_sitelib}/%{modname}-*.egg-info
%{python3_sitelib}/%{modname}-*-nspkg.pth
%endif

%changelog
* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 4.1.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 4.1.0-6
- Rebuild for Python 3.6

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.1.0-5
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Tue Apr 05 2016 Ralph Bean <rbean@redhat.com> - 4.1.0-4
- Modernize python macros.
- Add python3 subpackage.

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 4.1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Feb 18 2015 Ralph Bean <rbean@redhat.com> - 4.1.0-1
- new version

* Wed Feb 18 2015 Ralph Bean <rbean@redhat.com> - 4.1.0-1
- new version

* Wed Feb 18 2015 Ralph Bean <rbean@redhat.com> - 4.1.0-1
- new version

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.0.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Feb 25 2013 Ralph Bean <rbean@redhat.com> - 4.0.1-1
- Latest upstream

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.5.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.5.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue May 29 2012 Robin Lee <cheeselee@fedoraproject.org> - 3.5.5-2
- Include the license text

* Sun May 27 2012 Robin Lee <cheeselee@fedoraproject.org> - 3.5.5-1
- Update to 3.5.5
- Remove defattr
- Remove upstreamed patch
- Add --quiet option to 'python setup.py' commands

* Sun Sep 12 2010 Robin Lee <robinlee.sysu@gmail.com> - 3.5.1-2
- Requires: python-zope-filesystem and python-setuptools removed
- Spec cleaned up
- Co-own %%{python_sitelib}/zope/
- Add %%check section and run tests
- Add python-zope-contenttype-3.5.1-run-tests.patch to register the test_suite

* Wed Jun 16 2010 Robin Lee <robinlee.sysu@gmail.com> - 3.5.1-1
- Initial packaging
